<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:31 GMT 2020 -->
<title>ArrayOrderedList</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ArrayOrderedList";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../ArrayListPackage/ArrayList.arrayListIterator.html" title="class in ArrayListPackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?ArrayListPackage/ArrayOrderedList.html" target="_top">Frames</a></li>
<li><a href="ArrayOrderedList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.ArrayListPackage.ArrayList">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ArrayListPackage</div>
<h2 title="Class ArrayOrderedList" class="title">Class ArrayOrderedList&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayListPackage.ArrayList</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>ArrayListPackage.ArrayOrderedList&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../ArrayListPackage/ListADT.html" title="interface in ArrayListPackage">ListADT</a>&lt;T&gt;, <a href="../ArrayListPackage/OrderedListADT.html" title="interface in ArrayListPackage">OrderedListADT</a>&lt;T&gt;, java.lang.Iterable&lt;T&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ArrayOrderedList&lt;T&gt;</span>
extends <a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a>&lt;T&gt;
implements <a href="../ArrayListPackage/OrderedListADT.html" title="interface in ArrayListPackage">OrderedListADT</a>&lt;T&gt;, java.lang.Iterable&lt;T&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.ArrayListPackage.ArrayList">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></h3>
<code><a href="../ArrayListPackage/ArrayList.html#list">list</a>, <a href="../ArrayListPackage/ArrayList.html#modCount">modCount</a>, <a href="../ArrayListPackage/ArrayList.html#rear">rear</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../ArrayListPackage/ArrayOrderedList.html#ArrayOrderedList--">ArrayOrderedList</a></span>()</code>
<div class="block">Método construtor sem tamamnho defenido para a lista</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../ArrayListPackage/ArrayOrderedList.html#ArrayOrderedList-int-">ArrayOrderedList</a></span>(int&nbsp;arraySize)</code>
<div class="block">Método construtor com o tamanho para a lista definido através do
 parametro</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ArrayOrderedList.html#add-T-">add</a></span>(<a href="../ArrayListPackage/ArrayOrderedList.html" title="type parameter in ArrayOrderedList">T</a>&nbsp;element)</code>
<div class="block">Método que irá adicionar se for comparável, um elemento do tipo T à lista
 de forma a que a lista continue ordenada e a expanda caso seja necessário</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ArrayListPackage.ArrayList">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></h3>
<code><a href="../ArrayListPackage/ArrayList.html#contains-T-">contains</a>, <a href="../ArrayListPackage/ArrayList.html#expandCapacity--">expandCapacity</a>, <a href="../ArrayListPackage/ArrayList.html#first--">first</a>, <a href="../ArrayListPackage/ArrayList.html#isEmpty--">isEmpty</a>, <a href="../ArrayListPackage/ArrayList.html#iterator--">iterator</a>, <a href="../ArrayListPackage/ArrayList.html#last--">last</a>, <a href="../ArrayListPackage/ArrayList.html#remove-T-">remove</a>, <a href="../ArrayListPackage/ArrayList.html#removeFirst--">removeFirst</a>, <a href="../ArrayListPackage/ArrayList.html#removeLast--">removeLast</a>, <a href="../ArrayListPackage/ArrayList.html#size--">size</a>, <a href="../ArrayListPackage/ArrayList.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ArrayListPackage.ListADT">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;ArrayListPackage.<a href="../ArrayListPackage/ListADT.html" title="interface in ArrayListPackage">ListADT</a></h3>
<code><a href="../ArrayListPackage/ListADT.html#contains-T-">contains</a>, <a href="../ArrayListPackage/ListADT.html#first--">first</a>, <a href="../ArrayListPackage/ListADT.html#isEmpty--">isEmpty</a>, <a href="../ArrayListPackage/ListADT.html#iterator--">iterator</a>, <a href="../ArrayListPackage/ListADT.html#last--">last</a>, <a href="../ArrayListPackage/ListADT.html#remove-T-">remove</a>, <a href="../ArrayListPackage/ListADT.html#removeFirst--">removeFirst</a>, <a href="../ArrayListPackage/ListADT.html#removeLast--">removeLast</a>, <a href="../ArrayListPackage/ListADT.html#size--">size</a>, <a href="../ArrayListPackage/ListADT.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ArrayOrderedList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ArrayOrderedList</h4>
<pre>public&nbsp;ArrayOrderedList()</pre>
<div class="block">Método construtor sem tamamnho defenido para a lista</div>
</li>
</ul>
<a name="ArrayOrderedList-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ArrayOrderedList</h4>
<pre>public&nbsp;ArrayOrderedList(int&nbsp;arraySize)</pre>
<div class="block">Método construtor com o tamanho para a lista definido através do
 parametro</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>arraySize</code> - tamanho da lista</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="add-java.lang.Object-">
<!--   -->
</a><a name="add-T-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(<a href="../ArrayListPackage/ArrayOrderedList.html" title="type parameter in ArrayOrderedList">T</a>&nbsp;element)
         throws <a href="../Exceptions/NotComparableException.html" title="class in Exceptions">NotComparableException</a></pre>
<div class="block">Método que irá adicionar se for comparável, um elemento do tipo T à lista
 de forma a que a lista continue ordenada e a expanda caso seja necessário</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../ArrayListPackage/OrderedListADT.html#add-T-">add</a></code>&nbsp;in interface&nbsp;<code><a href="../ArrayListPackage/OrderedListADT.html" title="interface in ArrayListPackage">OrderedListADT</a>&lt;<a href="../ArrayListPackage/ArrayOrderedList.html" title="type parameter in ArrayOrderedList">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - elemento a adicionar</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/NotComparableException.html" title="class in Exceptions">NotComparableException</a></code> - if the element isn't comparable</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../ArrayListPackage/ArrayList.arrayListIterator.html" title="class in ArrayListPackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?ArrayListPackage/ArrayOrderedList.html" target="_top">Frames</a></li>
<li><a href="ArrayOrderedList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.ArrayListPackage.ArrayList">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
